Freeciv-3.2: server_arguments Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
server_arguments Struct Reference

`#include <srv_main.h>`

## Data Fields

bool | metaserver_no_send
char | metaserver_addr [256]
bool | metaconnection_persistent
char | identity_name [256]
unsigned short int | metaserver_port
char * | bind_addr
int | port
char * | bind_meta_addr
enum log_level | loglevel
char * | log_filename
char * | ranklog_filename
char | load_filename [512]
char * | script_filename
char * | saves_pathname
char * | scenarios_pathname
char * | ruleset
char | serverid [256]
int | quitidle
bool | exit_on_end
bool | fcdb_enabled
char * | fcdb_conf
bool | auth_enabled
bool | auth_allow_guests
bool | auth_allow_newusers
enum announce_type | announce
int | fatal_assertions

## Detailed Description

Definition at line 26 of file srv_main.h.

## Field Documentation

## ◆ announce

enum announce_type server_arguments::announce

Definition at line 60 of file srv_main.h.

Referenced by close_connections_and_socket(), get_lanserver_announcement(), main(), send_lanserver_response(), and server_open_socket().

## ◆ auth_allow_guests

bool server_arguments::auth_allow_guests

Definition at line 58 of file srv_main.h.

Referenced by auth_user(), main(), and srv_init().

## ◆ auth_allow_newusers

bool server_arguments::auth_allow_newusers

Definition at line 59 of file srv_main.h.

Referenced by auth_user(), main(), and srv_init().

## ◆ auth_enabled

bool server_arguments::auth_enabled

Definition at line 57 of file srv_main.h.

Referenced by handle_login_request(), main(), server_sniff_all_input(), srv_init(), and srv_prepare().

## ◆ bind_addr

char* server_arguments::bind_addr

Definition at line 34 of file srv_main.h.

Referenced by main(), server_open_socket(), and srv_init().

## ◆ bind_meta_addr

char* server_arguments::bind_meta_addr

Definition at line 38 of file srv_main.h.

Referenced by main(), and srv_init().

## ◆ exit_on_end

bool server_arguments::exit_on_end

Definition at line 53 of file srv_main.h.

Referenced by main(), server_sniff_all_input(), and srv_main().

## ◆ fatal_assertions

int server_arguments::fatal_assertions

Definition at line 61 of file srv_main.h.

Referenced by main(), main(), srv_init(), and srv_prepare().

## ◆ fcdb_conf

char* server_arguments::fcdb_conf

Definition at line 56 of file srv_main.h.

Referenced by main(), srv_init(), and srv_prepare().

## ◆ fcdb_enabled

bool server_arguments::fcdb_enabled

Definition at line 55 of file srv_main.h.

Referenced by delegate_command(), establish_new_connection(), fcdb_command(), is_allowed_to_take(), main(), script_fcdb_init(), server_quit(), srv_init(), srv_prepare(), and srv_ready().

## ◆ identity_name

char server_arguments::identity_name[256]

Definition at line 31 of file srv_main.h.

Referenced by main(), send_lanserver_response(), and srv_init().

## ◆ load_filename

char server_arguments::load_filename[512]

Definition at line 44 of file srv_main.h.

Referenced by load_command(), main(), srv_init(), and srv_prepare().

## ◆ log_filename

char* server_arguments::log_filename

Definition at line 42 of file srv_main.h.

Referenced by main(), main(), srv_init(), and srv_prepare().

## ◆ loglevel

enum log_level server_arguments::loglevel

Definition at line 40 of file srv_main.h.

Referenced by main(), main(), srv_init(), and srv_prepare().

## ◆ metaconnection_persistent

bool server_arguments::metaconnection_persistent

Definition at line 30 of file srv_main.h.

Referenced by main(), srv_init(), and srv_prepare().

## ◆ metaserver_addr

char server_arguments::metaserver_addr[256]

Definition at line 29 of file srv_main.h.

Referenced by main(), meta_addr_port(), metaserver_command(), sg_load_game(), sg_load_game(), srv_init(), and write_init_script().

## ◆ metaserver_no_send

bool server_arguments::metaserver_no_send

Definition at line 28 of file srv_main.h.

Referenced by main(), srv_init(), and srv_prepare().

## ◆ metaserver_port

unsigned short int server_arguments::metaserver_port

Definition at line 32 of file srv_main.h.

## ◆ port

int server_arguments::port

Definition at line 36 of file srv_main.h.

Referenced by establish_new_connection(), get_challenge_filename(), main(), send_lanserver_response(), server_open_socket(), srv_init(), and srv_main().

## ◆ quitidle

int server_arguments::quitidle

Definition at line 51 of file srv_main.h.

Referenced by main(), server_sniff_all_input(), srv_init(), and srv_scores().

## ◆ ranklog_filename

char* server_arguments::ranklog_filename

Definition at line 43 of file srv_main.h.

Referenced by main(), rank_users(), and srv_init().

## ◆ ruleset

char* server_arguments::ruleset

Definition at line 48 of file srv_main.h.

Referenced by main(), set_rulesetdir(), srv_init(), and srv_prepare().

## ◆ saves_pathname

char* server_arguments::saves_pathname

Definition at line 46 of file srv_main.h.

Referenced by main(), mapimg_command(), save_game(), srv_init(), and srv_running().

## ◆ scenarios_pathname

char* server_arguments::scenarios_pathname

Definition at line 47 of file srv_main.h.

Referenced by main(), save_game(), and srv_init().

## ◆ script_filename

char* server_arguments::script_filename

Definition at line 45 of file srv_main.h.

Referenced by main(), reset_command(), srv_init(), and srv_main().

## ◆ serverid

char server_arguments::serverid[256]

Definition at line 49 of file srv_main.h.

Referenced by main(), sg_load_game(), sg_load_game(), sg_save_game(), show_serverid(), and srv_init().